Skip to main content
Back to API List Use this API to add a skill group with the given stream ID.
MethodPOST
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Analytics

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
BotIdBotId or StreamId. You can access it from the App Settings page of the bot.string, required

Sample Request

curl --location --request POST 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \
      --data-raw '{
      "name": "Premium Subscriptions",
      "description": "Skill Group For Premium SubScriptions.",
      "color": "#0f0f0f"
  }'

Body Parameters

ParameterDescriptionType
nameName of the skill group.String, required
descriptionBrief description of the skill group, up to 200 characters.string, optional
colorColor ID for the skill group, up to 200 characters. For example, sg-4372.string, optional

Sample Response

{
    "id": "620b814ca2344f1caa8cec99",
    "name": "Account Management",
    "description": "Manage Account and its Settings",
    "color": "#f0f0f0"
}